<?php

namespace common\logic\Product\Product\Service;

use common\logic\AbstractBuilder;
use common\logic\Product\Product\Model\Product;

class ProductBuilder extends AbstractBuilder
{
    public function instanciateProduct(): Product
    {
        $product = new Product();

        return $product;
    }

    public function createProduct(): Product
    {
        $product = $this->instanciateProduct();
        $this->saveCreate($product);

        return $product;
    }
}